package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxScriptMessage;

import java.util.List;

/**
 * 消息模版Mapper接口
 *
 * @author flossom
 * @date 2023-12-22
 */
public interface WxScriptMessageMapper
{
    /**
     * 查询消息模版
     *
     * @param id 消息模版主键
     * @return 消息模版
     */
    public WxScriptMessage selectWxScriptMessageById(Long id);

    /**
     * 查询消息模版列表
     *
     * @param wxScriptMessage 消息模版
     * @return 消息模版集合
     */
    public List<WxScriptMessage> selectWxScriptMessageList(WxScriptMessage wxScriptMessage);

    /**
     * 新增消息模版
     *
     * @param wxScriptMessage 消息模版
     * @return 结果
     */
    public int insertWxScriptMessage(WxScriptMessage wxScriptMessage);

    /**
     * 修改消息模版
     *
     * @param wxScriptMessage 消息模版
     * @return 结果
     */
    public int updateWxScriptMessage(WxScriptMessage wxScriptMessage);

    /**
     * 删除消息模版
     *
     * @param id 消息模版主键
     * @return 结果
     */
    public int deleteWxScriptMessageById(Long id);

    /**
     * 批量删除消息模版
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxScriptMessageByIds(Long[] ids);

    public WxScriptMessage selectOneByMessageType(Integer messageType);
}
